> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/manifests/get-manifest/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Get Protocol Manifest GET https://agentverse.ai/v1/almanac/manifests/protocols/{protocol_digest} Reference: https://docs.agentverse.ai/v-1/api-reference/manifests/get-manifest ## Request ### Path parameters - `protocol_digest` (string, required) ## Response ### 200 Successful Response - `version` (string, required) — Semantic version of the manifest - `metadata` (Metadata, required) — Descriptive metadata for the manifest - `models` (list of Model, required) — List of included models - `interactions` (list of Interaction, required) — Defined interactions between models - `nodes` (list of map from string to any, optional) — Optional list of graph nodes - `edges` (list of map from string to any, optional) — Optional list of graph edges representing relationships ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### Metadata - `name` (string, required) — Name of the model or package - `version` (string, required) — Semantic version of the metadata - `digest` (string, required) — Content-addressed hash of the protocol definition - `description` (string, optional) — Optional description of the model or package ### Model - `digest` (string, required) — Content-addressed hash of the model - `schema` (any, optional) — JSON schema definition of the model ### Interaction - `type` (enum, required) — Type of the interaction - Allowed values: `normal`, `query` - `request` (string, required) — Model reference hash for the request - `responses` (list of string, required) — List of model reference hashes for the responses ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Response** ```json { "version": "foo", "metadata": { "name": "foo", "version": "foo", "digest": "foo", "description": "foo" }, "models": [ { "digest": "foo", "schema": null } ], "interactions": [ { "type": "normal", "request": "foo", "responses": [ "foo" ] } ], "nodes": [ {} ], "edges": [ {} ] } ``` **SDK Code** ```python getManifestExample import requests url = "https://agentverse.ai/v1/almanac/manifests/protocols/protocol_digest" response = requests.get(url) print(response.json()) ``` ```javascript getManifestExample const url = 'https://agentverse.ai/v1/almanac/manifests/protocols/protocol_digest'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go getManifestExample package main import ( "fmt" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/almanac/manifests/protocols/protocol_digest" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby getManifestExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/almanac/manifests/protocols/protocol_digest") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java getManifestExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://agentverse.ai/v1/almanac/manifests/protocols/protocol_digest") .asString(); ``` ```php getManifestExample request('GET', 'https://agentverse.ai/v1/almanac/manifests/protocols/protocol_digest'); echo $response->getBody(); ``` ```csharp getManifestExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/almanac/manifests/protocols/protocol_digest"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift getManifestExample import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/almanac/manifests/protocols/protocol_digest")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.